classification
Title: Improve/update python.org/dev/
Type: Stage:
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, ezio.melotti, georg.brandl, r.david.murray
Priority: low Keywords: easy

Created on 2009-07-09 18:43 by ezio.melotti, last changed 2009-07-17 17:39 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
unnamed brett.cannon, 2009-07-17 17:19
Messages (7)
msg90340 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-09 18:43
Reading python.org/dev/ I noticed a few things that could be
improved/updated:
1) in http://www.python.org/dev/implementations/ Unladen Swallow is missing;
2) in http://www.python.org/dev/contributing/ there's an "any and any"
that should probably be "any and all";
3) in the same page, in the "fixing bugs" section, there are some
**..**, is that some ReST markup that was not supposed to be there?
4) in http://www.python.org/dev/intro/ the IRC channels are not
mentioned (#python, #python-dev, #python-docs);
5) in the same page there's an XXX that should be fixed;
6) in the following line there's a "what ever" that should probably be
"whatever";
7) always there, a link to http://www.python.org/psf/donations/ should
be added in the second last paragraph;
8) in http://www.python.org/dev/buildbot/ there should probably be 3.2
in "(what will become 3.1)";
9) is http://www.python.org/dev/summary/ still alive?
10) in the last list of links in http://www.python.org/dev/ the trailing
'/' are missing, but they are present in the menu on the left;

(I'm not sure this is the right place where to report this.)
msg90342 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-07-09 18:50
Technically pydotorg@python.org is the proper place to report this stuff, 
but it's not a big deal as I unofficially in charge of /dev so I will take 
care of it.
msg90518 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-14 19:29
Thanks for taking care of it.
There's also a typo ("thissmall") in the first line of
http://www.python.org/dev/faq/#why-should-i-use-svn-switch
msg90604 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-07-17 05:37
OK, fixed in r12412 for pydotorg sans the IRC stuff (don't feel 
comfortable pointing people that way when IRC is not under our control). 
Thanks for the fixes, Ezio.
msg90613 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-17 08:32
Thanks to you for fixing it!
However on http://www.python.org/dev/buildbot/ now there's 3.w (maybe
you missed the '2' key?).
About the IRC stuff, at least #python-dev (and probably #python-docs
too) are under our control (even if Freenode is not under our control,
these channels are used and managed by Python developers).
msg90629 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-07-17 17:19
On Fri, Jul 17, 2009 at 01:32, Ezio Melotti <report@bugs.python.org> wrote:

>
> Ezio Melotti <ezio.melotti@gmail.com> added the comment:
>
> Thanks to you for fixing it!
> However on http://www.python.org/dev/buildbot/ now there's 3.w (maybe
> you missed the '2' key?).

I did, but Aahz has already fixed it.

>
> About the IRC stuff, at least #python-dev (and probably #python-docs
> too) are under our control (even if Freenode is not under our control,
> these channels are used and managed by Python developers).

Well, they are under our control as long as someone sits in them, but the
PSF is not a registered owner of any of the channels (I submitted our
application ages ago to help out with the German Python channel and still
have not heard back). And hardly anyone sits in #python-dev except on bug
days. I still don't feel comfortable mentioning them.
msg90632 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-07-17 17:39
Enzio, Georg, Antoine, Benjamin, Barry, and I, just to name a few, hang
out in #python-dev regularly (as in daily, for some of us).  (Well,
Barry doesn't actively monitor the channel, but if you mention his name
he often wakes up.)
History
Date User Action Args
2009-07-17 17:39:44r.david.murraysetnosy: + r.david.murray
messages: + msg90632
2009-07-17 17:19:14brett.cannonsetfiles: + unnamed

messages: + msg90629
2009-07-17 08:32:01ezio.melottisetmessages: + msg90613
2009-07-17 05:39:58brett.cannonsetstatus: open -> closed
resolution: fixed
2009-07-17 05:37:06brett.cannonsetmessages: + msg90604
2009-07-14 19:29:29ezio.melottisetmessages: + msg90518
2009-07-09 18:50:59brett.cannonsetassignee: georg.brandl -> brett.cannon

messages: + msg90342
nosy: + brett.cannon
2009-07-09 18:43:53ezio.melotticreate